Bug 1198688 - Salt-cloud should requires python-libcloud
Summary: Salt-cloud should requires python-libcloud
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: salt-cloud
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erik Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 16:10 UTC by Michael S.
Modified: 2015-04-23 19:02 UTC (History)
1 user (show)

Fixed In Version: salt-2014.7.5-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-23 19:02:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael S. 2015-03-04 16:10:07 UTC
Salt-cloud use libcloud for everything ( or almost ), but it is not pulled by default.

This result in puzzling errors :
[root@kiora salt]# salt-cloud  --list-providers
[INFO    ] salt-cloud starting
[WARNING ] The cloud driver, 'rackspace', configured under the 'rackspace_DFW' cloud provider alias was not loaded since 'rackspace.get_configured_provider()' could not be found. Removing it from the available providers list
Error: There was an error listing providers: There are no cloud providers configured.

After installing, all is well.

Comment 1 Clint Savage 2015-03-04 18:56:34 UTC
Assigning to Erik as he has been doing salt packaging for a while now.

Comment 2 Erik Johnson 2015-03-05 19:12:07 UTC
We'll be building 2015.2.0 in the next week or so and I will make sure this gets added to the requires, thanks.

Comment 3 Fedora Update System 2015-04-07 15:04:34 UTC
salt-2014.7.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-2014.7.4-2.el6

Comment 4 Fedora Update System 2015-04-08 19:04:05 UTC
Package salt-2014.7.4-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing salt-2014.7.4-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5692/salt-2014.7.4-2.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-13 20:57:14 UTC
salt-2014.7.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-2014.7.4-3.el6

Comment 6 Fedora Update System 2015-04-13 21:10:52 UTC
salt-2014.7.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-2014.7.4-4.el6

Comment 7 Fedora Update System 2015-04-17 19:51:44 UTC
salt-2014.7.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-2014.7.5-1.el6

Comment 8 Fedora Update System 2015-04-23 19:02:04 UTC
salt-2014.7.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.